From 7bd121078a55bad0d839f54f7e1e7d45029b105b Mon Sep 17 00:00:00 2001
From: Tira Odhner <pair+aodhner@pivotal.io>
Date: Wed, 22 Mar 2017 17:57:21 -0400
Subject: [PATCH] Move test_utils.py into python_test_utils/

---
 .../servers/databases/casts/tests/test_cast_add.py   |  7 ++++---
 .../databases/casts/tests/test_cast_delete.py        |  6 +++---
 .../servers/databases/casts/tests/test_cast_get.py   |  9 ++++-----
 .../servers/databases/casts/tests/test_cast_put.py   |  7 ++++---
 .../servers/databases/casts/tests/utils.py           |  3 ++-
 .../event_triggers/tests/test_event_trigger_add.py   | 12 ++++++------
 .../tests/test_event_trigger_delete.py               | 10 +++++-----
 .../event_triggers/tests/test_event_trigger_get.py   | 10 +++++-----
 .../event_triggers/tests/test_event_trigger_put.py   | 12 ++++++------
 .../servers/databases/event_triggers/tests/utils.py  |  3 ++-
 .../databases/extensions/tests/test_extension_add.py |  7 ++++---
 .../extensions/tests/test_extension_delete.py        |  6 +++---
 .../databases/extensions/tests/test_extension_get.py |  6 +++---
 .../databases/extensions/tests/test_extension_put.py |  7 ++++---
 .../servers/databases/extensions/tests/utils.py      |  3 ++-
 .../tests/test_foreign_servers_add.py                | 11 ++++++-----
 .../tests/test_foreign_servers_delete.py             |  9 +++++----
 .../tests/test_foreign_servers_get.py                |  9 +++++----
 .../tests/test_foreign_servers_put.py                | 11 ++++++-----
 .../foreign_servers/tests/utils.py                   |  4 +++-
 .../user_mapping/tests/test_user_mapping_add.py      | 15 ++++++++-------
 .../user_mapping/tests/test_user_mapping_delete.py   | 13 +++++++------
 .../user_mapping/tests/test_user_mapping_get.py      | 13 +++++++------
 .../user_mapping/tests/test_user_mapping_put.py      | 15 ++++++++-------
 .../foreign_servers/user_mapping/tests/utils.py      |  3 ++-
 .../foreign_data_wrappers/tests/test_fdw_add.py      |  9 ++++-----
 .../foreign_data_wrappers/tests/test_fdw_delete.py   |  9 ++++-----
 .../foreign_data_wrappers/tests/test_fdw_get.py      | 11 +++++------
 .../foreign_data_wrappers/tests/test_fdw_put.py      | 11 +++++------
 .../databases/foreign_data_wrappers/tests/utils.py   |  5 +++--
 .../databases/languages/tests/test_language_add.py   |  7 ++++---
 .../languages/tests/test_language_delete.py          |  7 ++++---
 .../databases/languages/tests/test_language_get.py   |  7 ++++---
 .../databases/languages/tests/test_language_put.py   |  7 ++++---
 .../servers/databases/languages/tests/utils.py       |  3 ++-
 .../schemas/collations/tests/test_collation_add.py   | 12 ++++++------
 .../collations/tests/test_collation_delete.py        | 10 +++++-----
 .../schemas/collations/tests/test_collation_get.py   | 10 +++++-----
 .../schemas/collations/tests/test_collation_put.py   | 12 ++++++------
 .../databases/schemas/collations/tests/utils.py      |  5 +++--
 .../schemas/domains/tests/test_domain_add.py         | 12 ++++++------
 .../schemas/domains/tests/test_domain_delete.py      | 10 +++++-----
 .../schemas/domains/tests/test_domain_get.py         | 10 +++++-----
 .../schemas/domains/tests/test_domain_put.py         | 12 ++++++------
 .../servers/databases/schemas/domains/tests/utils.py |  5 +++--
 .../foreign_tables/tests/test_foreign_table_add.py   | 15 ++++++++-------
 .../tests/test_foreign_table_delete.py               | 13 +++++++------
 .../foreign_tables/tests/test_foreign_table_get.py   | 13 +++++++------
 .../foreign_tables/tests/test_foreign_table_put.py   | 15 ++++++++-------
 .../databases/schemas/foreign_tables/tests/utils.py  |  4 +++-
 .../tests/test_fts_configuration_add.py              | 17 +++++++++--------
 .../tests/test_fts_configuration_delete.py           | 11 ++++++-----
 .../tests/test_fts_configuration_get.py              | 11 ++++++-----
 .../tests/test_fts_configuration_put.py              | 13 +++++++------
 .../schemas/fts_configurations/tests/utils.py        |  6 ++++--
 .../tests/test_fts_dictionaries_add.py               | 13 +++++++------
 .../tests/test_fts_dictionaries_delete.py            | 11 ++++++-----
 .../tests/test_fts_dictionaries_get.py               | 11 ++++++-----
 .../tests/test_fts_dictionaries_put.py               | 13 +++++++------
 .../schemas/fts_dictionaries/tests/utils.py          |  6 ++++--
 .../schemas/fts_parser/tests/test_fts_parser_add.py  | 13 +++++++------
 .../fts_parser/tests/test_fts_parser_delete.py       | 11 ++++++-----
 .../schemas/fts_parser/tests/test_fts_parser_get.py  | 11 ++++++-----
 .../schemas/fts_parser/tests/test_fts_parser_put.py  | 13 +++++++------
 .../databases/schemas/fts_parser/tests/utils.py      |  6 ++++--
 .../fts_templates/tests/test_fts_templates_add.py    | 13 +++++++------
 .../fts_templates/tests/test_fts_templates_delete.py | 11 ++++++-----
 .../fts_templates/tests/test_fts_templates_get.py    | 11 ++++++-----
 .../fts_templates/tests/test_fts_templates_put.py    | 13 +++++++------
 .../databases/schemas/fts_templates/tests/utils.py   |  6 ++++--
 .../schemas/functions/tests/test_trigger_func_add.py | 12 ++++++------
 .../functions/tests/test_trigger_func_delete.py      | 12 ++++++------
 .../schemas/functions/tests/test_trigger_func_get.py | 12 ++++++------
 .../schemas/functions/tests/test_trigger_func_put.py | 14 +++++++-------
 .../databases/schemas/functions/tests/utils.py       |  5 +++--
 .../schemas/packages/tests/test_package_add.py       | 14 +++++++-------
 .../schemas/packages/tests/test_package_delete.py    | 12 ++++++------
 .../schemas/packages/tests/test_package_get.py       | 12 ++++++------
 .../schemas/packages/tests/test_package_put.py       | 14 +++++++-------
 .../databases/schemas/packages/tests/utils.py        |  5 +++--
 .../schemas/sequences/tests/test_sequence_add.py     | 10 +++++-----
 .../schemas/sequences/tests/test_sequence_delete.py  | 10 +++++-----
 .../schemas/sequences/tests/test_sequence_get.py     | 10 +++++-----
 .../schemas/sequences/tests/test_sequence_put.py     | 13 ++++++-------
 .../databases/schemas/sequences/tests/utils.py       |  5 +++--
 .../schemas/synonyms/tests/test_synonym_add.py       | 14 +++++++-------
 .../schemas/synonyms/tests/test_synonym_delete.py    | 12 ++++++------
 .../schemas/synonyms/tests/test_synonym_get.py       | 12 ++++++------
 .../schemas/synonyms/tests/test_synonym_put.py       | 18 +++++++++---------
 .../databases/schemas/synonyms/tests/utils.py        |  5 +++--
 .../schemas/tables/column/tests/test_column_add.py   | 14 +++++++-------
 .../tables/column/tests/test_column_delete.py        | 14 +++++++-------
 .../schemas/tables/column/tests/test_column_get.py   | 14 +++++++-------
 .../schemas/tables/column/tests/test_column_put.py   | 16 ++++++++--------
 .../databases/schemas/tables/column/tests/utils.py   |  5 +++--
 .../tests/test_check_constraint_add.py               | 14 +++++++-------
 .../tests/test_check_constraint_delete.py            | 14 +++++++-------
 .../tests/test_check_constraint_get.py               | 14 +++++++-------
 .../tests/test_check_constraint_put.py               | 16 ++++++++--------
 .../constraints/check_constraint/tests/utils.py      |  5 +++--
 .../foreign_key/tests/test_foreign_key_add.py        | 14 +++++++-------
 .../foreign_key/tests/test_foreign_key_delete.py     | 14 +++++++-------
 .../foreign_key/tests/test_foreign_key_get.py        | 14 +++++++-------
 .../foreign_key/tests/test_foreign_key_put.py        | 16 ++++++++--------
 .../tables/constraints/foreign_key/tests/utils.py    |  5 +++--
 .../tests/test_index_constraint_add.py               | 14 +++++++-------
 .../tests/test_index_constraint_delete.py            | 14 +++++++-------
 .../tests/test_index_constraint_get.py               | 14 +++++++-------
 .../tests/test_index_constraint_put.py               | 16 ++++++++--------
 .../constraints/index_constraint/tests/utils.py      |  5 +++--
 .../schemas/tables/indexes/tests/test_indexes_add.py | 14 +++++++-------
 .../tables/indexes/tests/test_indexes_delete.py      | 18 +++++++++---------
 .../schemas/tables/indexes/tests/test_indexes_get.py | 18 +++++++++---------
 .../schemas/tables/indexes/tests/test_indexes_put.py | 20 ++++++++++----------
 .../databases/schemas/tables/indexes/tests/utils.py  |  5 +++--
 .../schemas/tables/rules/tests/test_rules_add.py     | 14 +++++++-------
 .../schemas/tables/rules/tests/test_rules_delete.py  | 14 +++++++-------
 .../schemas/tables/rules/tests/test_rules_get.py     | 14 +++++++-------
 .../schemas/tables/rules/tests/test_rules_put.py     | 16 ++++++++--------
 .../databases/schemas/tables/rules/tests/utils.py    |  5 +++--
 .../templates/column/sql/tests/test_column_acl.py    |  2 +-
 .../column/sql/tests/test_column_properties.py       |  2 +-
 .../sql/tests/test_foreign_key_properties.py         |  2 +-
 .../templates/table/sql/tests/test_tables_acl.py     |  2 +-
 .../templates/table/sql/tests/test_tables_node.py    |  2 +-
 .../table/sql/tests/test_tables_properties.py        |  2 +-
 .../trigger/sql/tests/test_trigger_get_oid.py        |  2 +-
 .../trigger/sql/tests/test_trigger_nodes.py          |  2 +-
 .../databases/schemas/tables/tests/test_table_add.py | 13 +++++--------
 .../schemas/tables/tests/test_table_delete.py        | 10 +++++-----
 .../databases/schemas/tables/tests/test_table_get.py | 10 +++++-----
 .../databases/schemas/tables/tests/test_table_put.py | 12 ++++++------
 .../servers/databases/schemas/tables/tests/utils.py  |  5 +++--
 .../tables/triggers/tests/test_triggers_add.py       | 18 +++++++++---------
 .../tables/triggers/tests/test_triggers_delete.py    | 18 +++++++++---------
 .../tables/triggers/tests/test_triggers_get.py       | 18 +++++++++---------
 .../tables/triggers/tests/test_triggers_put.py       | 20 ++++++++++----------
 .../databases/schemas/tables/triggers/tests/utils.py |  5 +++--
 .../databases/schemas/tests/test_schema_add.py       |  6 +++---
 .../databases/schemas/tests/test_schema_delete.py    |  6 +++---
 .../databases/schemas/tests/test_schema_get.py       |  8 ++++----
 .../databases/schemas/tests/test_schema_put.py       |  6 +++---
 .../servers/databases/schemas/tests/utils.py         |  5 +++--
 .../databases/schemas/types/tests/test_types_add.py  | 10 +++++-----
 .../schemas/types/tests/test_types_delete.py         | 10 +++++-----
 .../databases/schemas/types/tests/test_types_get.py  | 10 +++++-----
 .../databases/schemas/types/tests/test_types_put.py  | 12 ++++++------
 .../servers/databases/schemas/types/tests/utils.py   |  5 +++--
 .../databases/schemas/views/tests/test_views_add.py  | 12 ++++++------
 .../schemas/views/tests/test_views_delete.py         | 12 ++++++------
 .../databases/schemas/views/tests/test_views_get.py  | 12 ++++++------
 .../databases/schemas/views/tests/test_views_put.py  | 14 +++++++-------
 .../servers/databases/schemas/views/tests/utils.py   |  5 +++--
 .../servers/databases/tests/test_db_add.py           |  4 ++--
 .../servers/databases/tests/test_db_delete.py        |  4 ++--
 .../servers/databases/tests/test_db_get.py           |  2 +-
 .../servers/databases/tests/test_db_put.py           |  2 +-
 .../server_groups/servers/databases/tests/utils.py   |  2 +-
 .../tests/test_resource_groups_add.py                |  6 +++---
 .../tests/test_resource_groups_delete.py             |  4 ++--
 .../tests/test_resource_groups_put.py                |  6 +++---
 .../tests/tests_resource_groups_get.py               |  4 ++--
 .../servers/resource_groups/tests/utils.py           |  3 ++-
 .../servers/roles/tests/test_role_add.py             |  4 ++--
 .../servers/roles/tests/test_role_delete.py          |  2 +-
 .../servers/roles/tests/test_role_get.py             |  2 +-
 .../servers/roles/tests/test_role_put.py             |  2 +-
 .../server_groups/servers/roles/tests/utils.py       |  7 ++-----
 .../servers/tablespaces/tests/test_tbspc_add.py      |  5 +++--
 .../servers/tablespaces/tests/test_tbspc_delete.py   |  5 +++--
 .../servers/tablespaces/tests/test_tbspc_get.py      |  4 ++--
 .../servers/tablespaces/tests/test_tbspc_put.py      |  2 +-
 .../server_groups/servers/tablespaces/tests/utils.py |  5 ++---
 .../connect/sql/tests/test_check_recovery.py         |  2 +-
 .../server_groups/servers/tests/test_server_add.py   |  2 +-
 .../servers/tests/test_server_delete.py              |  2 +-
 .../server_groups/servers/tests/test_server_get.py   |  2 +-
 .../server_groups/servers/tests/test_server_put.py   |  3 ++-
 .../browser/server_groups/servers/tests/utils.py     |  2 +-
 web/pgadmin/browser/tests/test_change_password.py    |  4 ++--
 web/pgadmin/browser/tests/test_login.py              |  3 ++-
 web/pgadmin/browser/tests/test_logout.py             |  2 +-
 web/pgadmin/browser/tests/test_reset_password.py     |  4 ++--
 .../feature_tests/connect_to_server_feature_test.py  |  2 +-
 .../copy_selected_columns_feature_test.py            |  4 ++--
 web/pgadmin/feature_tests/table_ddl_feature_test.py  |  2 +-
 web/regression/{ => python_test_utils}/test_utils.py |  0
 web/regression/runtests.py                           |  2 +-
 188 files changed, 864 insertions(+), 801 deletions(-)
 rename web/regression/{ => python_test_utils}/test_utils.py (100%)

diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
index fb5396ce..cf1dc9fc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
@@ -8,14 +8,15 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import json
 
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
-from regression import test_utils as utils
+from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 
 
 class CastsAddTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
index c60efc16..210e49d1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
@@ -9,12 +9,12 @@
 
 from __future__ import print_function
 
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
-from regression import test_utils as utils
 from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 
 
 class CastsDeleteTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
index 88663575..814508b5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
@@ -8,14 +8,13 @@
 ##########################################################################
 
 from __future__ import print_function
+
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
-from regression import test_utils as utils
 from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-import os
-import sys
 
 
 class CastsGetTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
index db7c7189..8a3e7cb0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
@@ -8,14 +8,15 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import json
 
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
-from regression import test_utils as utils
 from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 
 
 class CastsPutTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
index a9f4a936..b1875c02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
@@ -8,10 +8,11 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import sys
 import traceback
 
-from regression.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection
 
 
 def get_cast_data():
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
index ca00c938..23307886 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
@@ -7,18 +7,18 @@
 #
 ##########################################################################
 
-import uuid
 import json
+import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from regression import test_utils as utils
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
+from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression import trigger_funcs_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from regression.python_test_utils import test_utils as utils
 
 
 class EventTriggerAddTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
index 57164ca4..e8dd4ae8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
@@ -9,16 +9,16 @@
 
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from regression import test_utils as utils
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
+from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression import trigger_funcs_utils
+from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 
 
 class EventTriggerDeleteTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
index f209d0fe..540dacfb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
@@ -9,16 +9,16 @@
 
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from regression import test_utils as utils
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
+from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression import trigger_funcs_utils
+from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 
 
 class EventTriggerGetTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
index da737fd9..d232cdbd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
@@ -7,19 +7,19 @@
 #
 ##########################################################################
 
-import uuid
 import json
+import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from regression import test_utils as utils
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
+from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression import trigger_funcs_utils
+from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 
 
 class EventTriggerPutTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
index 9a1430c9..1e4040d9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
@@ -8,10 +8,11 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import sys
 import traceback
 
-from regression.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection
 
 
 def create_event_trigger(server, db_name, schema_name, func_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
index d2f4de30..c600d953 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
@@ -8,13 +8,14 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import json
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
-from regression import test_utils as utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
index 179d651f..6fa19812 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
@@ -9,11 +9,11 @@
 
 from __future__ import print_function
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
-from regression import test_utils as utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
index 42addde1..a12b22b5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
@@ -9,11 +9,11 @@
 
 from __future__ import print_function
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
-from regression import test_utils as utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
index 363da170..c47d37f3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
@@ -8,13 +8,14 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import json
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
-from regression import test_utils as utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 from . import utils as extension_utils
 
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
index 9d234db1..1bf12163 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
@@ -8,10 +8,11 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import sys
 import traceback
 
-from regression.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection
 
 
 def get_extension_data(schema_name):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
index a121c229..e5972a15 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
@@ -8,18 +8,19 @@
 ##########################################################################
 
 from __future__ import print_function
-import uuid
+
 import json
+import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.tests \
     import utils as fdw_utils
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
+from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
-from regression import test_utils as utils
+from regression.python_test_utils import test_utils as utils
 
 
 class ForeignServerAddTestCase(BaseTestGenerator):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
index a14ff269..4dd6e2f5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
@@ -8,17 +8,18 @@
 ##########################################################################
 
 from __future__ import print_function
+
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.tests \
     import utils as fdw_utils
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
+from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
-from regression import test_utils as utils
+from regression.python_test_utils import test_utils as utils
 from . import utils as fsrv_utils
 
 
